#!/usr/bin/sh
BASE_DIR=$(realpath $(dirname $0))
cd $BASE_DIR
. ./kselftest/runner.sh
ROOT=$PWD
if [ "$1" = "--summary" ]; then
  logfile=$BASE_DIR/output.log
  cat /dev/null > $logfile
fi
[ -w /dev/kmsg ] && echo "kselftest: Running tests in livepatch" >> /dev/kmsg
cd livepatch
run_many	\
	"test-livepatch.sh"	\
	"test-callbacks.sh"	\
	"test-shadow-vars.sh"	\
	"test-state.sh"	\
	"test-ftrace.sh"
cd $ROOT
[ -w /dev/kmsg ] && echo "kselftest: Running tests in net" >> /dev/kmsg
cd net
run_many	\
	"reuseport_bpf"	\
	"reuseport_bpf_cpu"	\
	"reuseport_bpf_numa"	\
	"reuseport_dualstack"	\
	"reuseaddr_conflict"	\
	"tls"	\
	"run_netsocktests"	\
	"run_afpackettests"	\
	"test_bpf.sh"	\
	"netdevice.sh"	\
	"rtnetlink.sh"	\
	"xfrm_policy.sh"	\
	"test_blackhole_dev.sh"	\
	"fib_tests.sh"	\
	"fib-onlink-tests.sh"	\
	"pmtu.sh"	\
	"udpgso.sh"	\
	"ip_defrag.sh"	\
	"udpgso_bench.sh"	\
	"fib_rule_tests.sh"	\
	"msg_zerocopy.sh"	\
	"psock_snd.sh"	\
	"udpgro_bench.sh"	\
	"udpgro.sh"	\
	"test_vxlan_under_vrf.sh"	\
	"reuseport_addr_any.sh"	\
	"test_vxlan_fdb_changelink.sh"	\
	"so_txtime.sh"	\
	"ipv6_flowlabel.sh"	\
	"tcp_fastopen_backup_key.sh"	\
	"fcnal-test.sh"	\
	"l2tp.sh"	\
	"traceroute.sh"	\
	"fin_ack_lat.sh"	\
	"fib_nexthop_multiprefix.sh"	\
	"fib_nexthops.sh"	\
	"altnames.sh"	\
	"icmp_redirect.sh"	\
	"ip6_gre_headroom.sh"	\
	"route_localnet.sh"	\
	"reuseaddr_ports_exhausted.sh"	\
	"txtimestamp.sh"	\
	"vrf-xfrm-tests.sh"
cd $ROOT
